Apache Log4j 2.x < 2.16.0 RCE (MacOS) (deprecated)

critical Nessus Plugin ID 156165

Synopsis

This plugin has been deprecated.

Description

This plugin has been deprecated as a duplicated of apache_log4j_2_16_0.nasl (156057).

Solution

n/a.

See Also

https://logging.apache.org/log4j/2.x/security.html

Plugin Details

Severity: Critical

ID: 156165

File Name: apache_log4j_2_16_0_mac.nasl

Version: 1.8

Type: local

Agent: macosx

Published: 12/17/2021

Updated: 12/31/2021

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Critical

Score: 9.9

CVSS v2

Risk Factor: Medium

Base Score: 5.1

Vector: AV:N/AC:H/Au:N/C:P/I:P/A:P

CVSS Score Source: CVE-2021-45046

CVSS v3

Risk Factor: Critical

Base Score: 9

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:H/A:H

Vulnerability Information

CPE: cpe:/a:apache:log4j

Required KB Items: installed_sw/Apache Log4j, Host/MacOSX/Version

Exploit Ease: No known exploits are available

Patch Publication Date: 12/14/2021

Vulnerability Publication Date: 12/14/2021

Reference Information

CVE: CVE-2021-45046

IAVA: 2021-A-0573, 2021-A-0596, 2021-A-0598, 0001-A-0650